Bug 206491 - suspend doesn't work with kernel 2.6.17-1.2174_fc5
suspend doesn't work with kernel 2.6.17-1.2174_fc5
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-14 13:58 EDT by thepiratekings
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 16:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description thepiratekings 2006-09-14 13:58:17 EDT
Description of problem:
Suspend worked properly with the original fc5 kernel (2.6.15...) but does not
work with with 2.6.17-1.2174_fc5.  This is an an HP ZD7230 laptop.

I have confirmed this problem by rebooting and reloading the 2.6.15... kernel
and suspending/resuming successfully, then rebooting and loading the 2.6.17...
kernel and failing to suspend at all.

Version-Release number of selected component (if applicable):


How reproducible:
load 2.6.17... on a laptop, set power management settings to suspend on lid
close when unplugged, and close the lid.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
computer did not suspend, fans continued to run.

Expected results:
suspend after a few seconds the way 2.6.15... did.

Additional info:
Comment 1 thepiratekings 2006-09-28 16:41:22 EDT
The problem seems to stem from the acpi_cpufreq module.  When I unload it,
everything works, but it is loaded by default.

Note You need to log in before you can comment on or make changes to this bug.